%define tarname		pulse-agent-plugins

# Multi-distro conditionals
%{!?__python2: %global __python2 /usr/bin/python2}
%{!?python2_sitelib: %global python2_sitelib %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%{!?py2_build: %global py2_build CFLAGS="%{optflags}" %{__python2} setup.py build}
%{!?py2_install: %global py2_install %{__python2} setup.py install --skip-build --root %{buildroot}}
%{!?mkrel: %global mkrel(c:) %{-c: 0.%{-c*}.}%{1}%{?subrel:.%subrel}%{?dist:%dist}}

Summary:	Pulse Agent Plugins
Name:		pulse-agent-plugins
Version:	1.0
Release:	%mkrel 8
Source0:        %name-%version.tar.gz
License:	MIT
Group:		Development/Python
Url:		http://www.siveo.net
BuildArch:	noarch
BuildRequires:	python-setuptools
BuildRequires:	python-sphinx

%description
Pulse Agent Plugins

#--------------------------------------------------------------------

%package -n pulse-xmppmaster-agentplugins
Summary:    Console agent
Group:      System/Servers
Requires:   python-netifaces
Requires:   python-sleekxmpp


%description -n pulse-xmppmaster-agentplugins
plugins for pulse xmppmaster

%files -n pulse-xmppmaster-agentplugins
%_var/lib/pulse2/xmpp_baseplugin
%{python2_sitelib}/pulse_agent_plugins-%{version}-py?.?.egg-info

#--------------------------------------------------------------------

%package -n pulseagent-plugins-relay
Summary:    Console agent
Group:      System/Servers
Requires:   python-netifaces
Requires:   python-sleekxmpp


%description -n pulseagent-plugins-relay
plugins for pulse xmppmaster

%files -n pulseagent-plugins-relay
%{python2_sitelib}/pulse_xmpp_agent/pluginsrelay

#--------------------------------------------------------------------

%package -n pulseagent-plugins-machine
Summary:    Console agent
Group:      System/Servers
Requires:   python-netifaces
Requires:   python-sleekxmpp

%description -n pulseagent-plugins-machine
plugins for pulse xmppmaster

%files -n pulseagent-plugins-machine
%{python2_sitelib}/pulse_xmpp_agent/pluginsmachine

#--------------------------------------------------------------------

%prep
%setup -q -n %{tarname}

# Remove bundled egg-info
rm -rf %{tarname}.egg-info

%build
%py2_build

%install
%py2_install

mkdir -p %buildroot%_var/lib/pulse2/xmpp_baseplugin
cp -frv pulse_agent_plugins/common/* %buildroot%_var/lib/pulse2/xmpp_baseplugin
cp -frv pulse_agent_plugins/machine/* %buildroot%_var/lib/pulse2/xmpp_baseplugin
cp -frv pulse_agent_plugins/relay/* %buildroot%_var/lib/pulse2/xmpp_baseplugin



%changelog
* Sun Mar 05 2017 ngompa <ngompa> 1.0-8.mga6
+ Revision: 1088833
- Fix Requires for plugin subpackages

* Tue Feb 21 2017 neoclust <neoclust> 1.0-7.mga6
+ Revision: 1087198
- New git snapshot ( bug fixes )

* Mon Jan 09 2017 neoclust <neoclust> 1.0-1.mga6
+ Revision: 1080799
- Fix spec file

* Wed Oct 26 2016 neoclust <neoclust> 0.1-12.mga6
+ Revision: 1063577
- Translation fixes

* Thu Oct 20 2016 neoclust <neoclust> 0.1-9.mga6
+ Revision: 1062692
- imported package pulse-agent-plugins

